Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Interface AjaxSupport

    public interface AjaxSupport

Version of `AjaxComponent` for append Ajax functions for non-ajax components

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:34 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Method Summary
`java.lang.String` | `getEvent()`
`java.lang.String` | `getEventString()`
`java.lang.String` | `getOnsubmit()` Name of JavaScript function, called before submit Ajax request description
`boolean` | `isDisableDefault()` Getter for property If true, disable default action for target event ( encode 'return false' to JavaScript ), implementation will be generated by componnents-generator
`void` | `setDisableDefault(boolean newvalue)` Setter for property If true, disable default action for target event ( encode 'return false' to JavaScript ), implementation will be generated by componnents-generator
`void` | `setEvent(java.lang.String event)` setter method for property
`void` | `setOnsubmit(java.lang.String newOnsubmit)`
`void` | `setParentProperties(javax.faces.component.UIComponent parent)` Set property for JavaScrept event generated by this component.

Method Detail

### getEventString

    java.lang.String getEventString()

  Returns:
    JavaScript eventString. Rebuild on every call, since can be in loop ( as in dataTable ) with different parameters.

### setEvent

    void setEvent(java.lang.String event)

  setter method for property

  Parameters:
    `new` - value of Name of event property of parent component for build JavaScript AJAX.Submit call to set

### getEvent

    java.lang.String getEvent()

  Returns:
    value or result of valueBinding of Name of event property of parent component for build JavaScript AJAX.Submit call

### getOnsubmit

    java.lang.String getOnsubmit()

  Name of JavaScript function, called before submit Ajax request description

  Returns:
    the acceptClass

### setOnsubmit

    void setOnsubmit(java.lang.String newOnsubmit)

  Parameters:
    `newOnsubmit` - the value to set

### isDisableDefault

    boolean isDisableDefault()

  Getter for property If true, disable default action for target event ( encode 'return false' to JavaScript ), implementation will be generated by componnents-generator

  Returns:
    property value

### setDisableDefault

    void setDisableDefault(boolean newvalue)

  Setter for property If true, disable default action for target event ( encode 'return false' to JavaScript ), implementation will be generated by componnents-generator

  Parameters:
    `newvalue` - - new property value

### setParentProperties

    void setParentProperties(javax.faces.component.UIComponent parent)

  Set property for JavaScrept event generated by this component.

  Parameters:
    `parent` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.